#!/usr/bin/env bash

project="DMP-3S-POSTBACK-EVENTS-ANALYSIS"
user="andy.liu"
map_memory="mapreduce.map.memory.mb=2048"
reduce_memory="mapreduce.reduce.memory.mb=3072"

export HIVE_CONF_DIR=/data/azkaban-hadoop/command-home/hive-offline/conf

function hive_func(){

    fileName=$(basename $0 .sh)
    job_Name="$project-$fileName-$user"
      HIVE_CMD="hive"
    echo "${HIVE_CMD} -hiveconf $map_memory -hiveconf $reduce_memory -hiveconf mapred.job.name=$job_Name"
}
